/*

Name:
DRV_NOS.C

Description:
Mikmod driver for no output on any soundcard, monitor, keyboard, or whatever :)

Portability:
All systems - All compilers

*/

#include "mikmod.h"


BOOL NS_IsThere(void)
{
    return 0;
}


SWORD NS_SampleLoad(SAMPLOAD *s, FILE *fp)
{
    return 0;
}


void NS_SampleUnload(SWORD h)
{
}


ULONG NS_SampleSpace(int type)
{
    return 0;
}


ULONG NS_SampleLength(int type, SAMPLE *s)
{
    return s->length;
}


BOOL NS_Init(void)
{
    return 0;
}


void NS_Exit(void)
{
}


void NS_PlayStart(void)
{
}


void NS_PlayStop(void)
{
}


void NS_Update(void)
{
}


BOOL NS_SetNumChannels(void)
{
    return 0;
}


void NS_VoiceSetVolume(UBYTE voice,UWORD vol)
{
}


void NS_VoiceSetFrequency(UBYTE voice,ULONG frq)
{
}


void NS_VoiceSetPanning(UBYTE voice,ULONG pan)
{
}


void NS_VoicePlay(UBYTE voice,SWORD handle,ULONG start,ULONG size,ULONG reppos,ULONG repend,UWORD flags)
{
}


void NS_VoiceStop(UBYTE voice)
{
}


BOOL NS_VoiceStopped(UBYTE voice)
{
   return 0;
}


void NS_VoiceReleaseSustain(UBYTE voice)
{
}


SLONG NS_VoiceGetPosition(UBYTE voice)
{
   return 0;
}


ULONG NS_VoiceRealVolume(UBYTE voice)
{
   return 0;
}



MDRIVER drv_nos =
{   NULL,
    "No Sound",
    "MikMod Nosound Driver v2.0 - (c) Creative Silence",
    NS_IsThere,
    NS_SampleLoad,
    NS_SampleUnload,
    NS_SampleSpace,
    NS_SampleLength,
    NS_Init,
    NS_Exit,
    NS_SetNumChannels,
    NS_PlayStart,
    NS_PlayStop,
    NS_Update,
    NS_VoiceSetVolume,
    NS_VoiceSetFrequency,
    NS_VoiceSetPanning,
    NS_VoicePlay,
    NS_VoiceStop,
    NS_VoiceStopped,
    NS_VoiceReleaseSustain,
    NS_VoiceGetPosition,
    NS_VoiceRealVolume
};

